package net.wanji.opt;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * @author
 */
@SpringBootApplication(scanBasePackages = "net.wanji.opt")
@MapperScan(basePackages = "net.wanji.opt.dao.mapper")
@EnableTransactionManagement
@EnableScheduling
@EnableAsync
//@EnableDiscoveryClient
public class SignalOptimizeApplication {

    public static void main(String[] args) {
        SpringApplication.run(SignalOptimizeApplication.class, args);
    }
}

