package net.wanji.opt.common;

public class Constants {

    /**
     * 系统缩写
     */
    public static final String SYSTEM_ABBR = "OPT";

    /**
     * 否
     */
    public static final Integer NO = 0;

    /**
     * 是
     */
    public static final Integer YES = 1;

    /**
     * 分隔符：下划线
     **/
    public static final String SEPARATOR_UNDER_LINE = "_";

    /**
     * 分隔符：逗号
     **/
    public static final String SEPARATOR_COMMA = ",";

    /**
     * 分隔符：减号
     **/
    public static final String SEPARATOR_MINUS = "-";

    /**
     * 分隔符：冒号
     **/
    public static final String SEPARATOR_COLON = ":";

    /**
     * 相位（灯态）锁定
     */
    public static final Integer LOCK_RUNNING_CONTROL = 12;

    /**
     * 相位（灯态）解锁: 0-多时段控制模式
     */
    public static final Integer UNLOCK_RUNNING_CONTROL = 13;

    /**
     * 恢复正常方案: 0-多时段控制模式
     */
    public static final Integer NORMAL_RUNNING_CONTROL = 0;

    /**
     * 关灯
     */
    public static final Integer CLOSE_LIGHT_CONTROL = 1;

    /**
     * 黄闪
     */
    public static final Integer YELLOW_LIGHT_CONTROL = 2;

    /**
     * 手动全红
     */
    public static final Integer ALL_RED_CONTROL = 3;

    /**
     * 定周期控制
     */
    public static final Integer FIXED_CYCLE_MODE = 4;

    /**
     * 步进控制
     */
    public static final Integer STEP_CONTROL = 10;

    /**
     * 取消步进
     */
    public static final Integer CANCEL_STEP_CONTROL = 11;

}